/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.util;

import org.activemq.service.Service;

import javax.jms.JMSException;

/**
 * A mock server for testing
 *
 * @version $Revision: 1.1.1.1 $
 */
public class ExampleServerImpl implements Service, ExampleServer {

    private int fooCount;

    public void foo() {
        System.out.println("Calling foo() from thread: " + Thread.currentThread());

        fooCount++;
    }

    public int getFooCount() {
        return fooCount;
    }

    public void start() throws JMSException {
    }

    public void stop() throws JMSException {
    }
}
